%define cname	Geany

Summary:	Small C editor using GTK2
Name: 		geany
Version: 	1.22
Release: 	%mkrel 2
License: 	GPLv2+
Group: 		Development/C
URL: 		http://geany.uvena.de/
Source0: 	http://download.geany.org/%{name}-%{version}.tar.bz2

# The following tags file archive retrieved October 15th 2012
# from geany wiki: http://wiki.geany.org/tags/start
Source10:	geany-tags.tar.bz2

BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	desktop-file-utils
BuildRequires:	doxygen
BuildRequires:	intltool

Requires:	xterm

%description
Geany is a small C editor using GTK2 with basic features of an
integrated development environment. It features syntax highlighting,
code completion, call tips, many supported filetypes (including C,
Java, PHP, HTML, DocBook, Perl, LateX, and Bash), and symbol lists.

%package devel
Summary:	Header files for building Geany plug-ins
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files and pkg-config file needed for
building Geany plug-ins. You do not need to install this package
to use Geany.

%prep
%setup -q -a 10

%build
%configure2_5x
%make

#docs
%make api-doc -C doc

%install
%makeinstall_std

# research locale file
%find_lang %{name}

# prepare menu
# we remove the key "Version" and "Encoding" because it's invalid
desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GNOME" \
	--remove-key="Version" \
	--remove-key="Encoding" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# Install tags files
mkdir -p %{buildroot}%{_datadir}/%{name}/tags/
install -Dpm644 tags/* %{buildroot}%{_datadir}/%{name}/tags/

#we don't want these
rm -rf %{buildroot}%{_libdir}/geany/*.la

%files -f %{name}.lang
%doc %{_defaultdocdir}/%{name}/
%{_bindir}/%{name}
%{_libdir}/%{name}/*.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*
%{_iconsdir}/hicolor/*/apps/*

%files devel
%doc HACKING TODO doc/reference
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.22-2.mga3
+ Revision: 351170
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 wally <wally> 1.22-1.mga3
+ Revision: 306703
- new version 1.22
- download and update tags from upstream wiki
- clean .spec a bit

* Thu Aug 18 2011 wally <wally> 0.20-2.mga2
+ Revision: 134310
- split out devel files from main package
  (they're not needed to run Geany)
- add api-docs to -devel package
- update tags files (partially from Fedora)
- require xterm (mga#2431)

* Wed May 04 2011 ennael <ennael> 0.20-1.mga1
+ Revision: 94741
- clean spec file
- imported package geany

